Sourced
llms.txt
View Markdown

Projects ยท version 0.1.0

Archive a project

DELETE/api/projects/{projectId}

Archives the project record without deleting historical runs or artifacts.

Request

cURL
curl -X DELETE 'https://sourced.sh/api/projects/{projectId}' \
  -H 'Authorization: Bearer $SOURCED_API_KEY'
TypeScript
const response = await fetch("https://sourced.sh/api/projects/{projectId}", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.SOURCED_API_KEY}`,
  },
});
const data = await response.json();
Python
import os
import requests

response = requests.request(
    "DELETE",
    "https://sourced.sh/api/projects/{projectId}",
    headers={"Authorization": f"Bearer {os.environ['SOURCED_API_KEY']}"},
)

data = response.json()

Parameters

Path parameters

NameTypeRequiredDescription
projectIdstringYesProject identifier.

Responses

200

Archived project.

application/json

Schema
type: object
required: project
properties:
  project (required): Project
    Project:
      type: object
      required: id, name, createdAt
      properties:
        id (required): string
        name (required): string
        apiName: string
        mode: string enum flagship | stainless_compatible | custom | openapi | stainless_migration
          New writes use `flagship` or `stainless_compatible`; legacy `custom`, `openapi`, and `stainless_migration` records may still be returned.
        status: string enum created | active | archived
        createdAt (required): string
        updatedAt: string
        runCount: integer

401

403

404

Was this helpful?